# element-plus-pagination-table

 [Full Docs](https://docs.wanfuxiong.com/element-plus-pagination-table/)

The project is under test(version 0.0.x), please use it carefully.

If you have any problems, visit [the issue page](https://github.com/wanfuxiong/element-plus-pagination-table/issues)

## How to use?

You must install and import element-plus first!!!
Please use the latest version

1. install
```shell
pnpm add element-plus element-plus-pagination-table
```

2. import

global
```typescript
// src/main.ts
import { createApp } from "vue";
import ElementPlus from "element-plus";// You must import element-plus first
import "element-plus/dist/index.css";// You must import element-plus first
import "element-plus/theme-chalk/src/index.scss";// You must import element-plus first
// import here
import ElementPlusPaginationTable from "element-plus-pagination-table";
// import .css here
import "element-plus-pagination-table/dist/style.css";

const app = createApp(App);
// use here
app.use(ElementPlusPaginationTable);
```

**or** local
```typescript
// src/main.ts
import { createApp } from "vue";
import ElementPlus from "element-plus";// You must import element-plus first
import "element-plus/dist/index.css";// You must import element-plus first
import "element-plus/theme-chalk/src/index.scss";// You must import element-plus first
// import .css here
import "element-plus-pagination-table/dist/style.css";

// import component to your .vue
import { ElPaginationTable } from "element-plus-pagination-table";
```


3. use
```html
<el-pagination-table>
    <el-table-column prop="id" label="ID" width="180" />
    <el-table-column prop="name" label="Name" width="180" />
    <el-table-column prop="age" label="Age" />
</el-pagination-table>
```


## Thank you, Element Plus!

[Donate Element Plus](https://element-plus.org/)

[Donate wanfuxiong.com](https://www.wanfuxiong.com/)

